Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.record.flow
Interface ICallObjectRecord

All Superinterfaces:
  Comparable<IMonitoringRecord>, ICallRecord, IClassSignature, IFlowRecord, IMonitoringRecord, IObjectRecord, IOperationRecord, IOperationSignature, Serializable

All Known Implementing Classes:
  CallConstructorObjectEvent, CallOperationObjectEvent

    public interface ICallObjectRecord

extends ICallRecord, IObjectRecord

Since:
  1.6
Author:
  Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.common.record.IMonitoringRecord
`IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory`

Method Summary
`int` | `getCalleeObjectId()`
`int` | `getCallerObjectId()`

Methods inherited from interface kieker.common.record.flow.ICallRecord
`getCalleeClassSignature, getCalleeOperationSignature, getCallerClassSignature, getCallerOperationSignature`

Methods inherited from interface kieker.common.record.flow.IOperationSignature
`getOperationSignature`

Methods inherited from interface kieker.common.record.flow.IClassSignature
`getClassSignature`

Methods inherited from interface kieker.common.record.IMonitoringRecord
`getLoggingTimestamp, getSize, getValueTypes, initFromArray, initFromBytes, setLoggingTimestamp, toArray, toString, writeBytes`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface kieker.common.record.flow.IObjectRecord
`getObjectId`

Method Detail

### getCallerObjectId

    int getCallerObjectId()

### getCalleeObjectId

    int getCalleeObjectId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net